---
features:
  secondary:
  - name: "Add or remove service accounts from groups with LDAP group sync"
    available_in: [premium, ultimate]
    gitlab_com: false
    documentation_link: 'https://docs.gitlab.com/ee/user/group/access_and_permissions.html#manage-group-memberships-via-ldap'
    reporter: hsutor
    stage: govern
    categories: [User Management]
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/425947'
    description: |
      Previously, if a group had LDAP sync enabled, administrators were not able to invite or remove any users from that group. Now, administrators can use the group and project members API to invite service account users to or remove those users from a group with LDAP sync. Administrators still cannot invite human users to or remove those users from a group with LDAP sync. This ensures that LDAP group sync is the single source of truth for human user account membership, while allowing the flexibility to use service accounts to add automations to LDAP-synced groups.
